Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

python-gdbm-2.7.14-lp150.6.25.1 RPM for ppc64le

From OpenSuSE Ports Leap 15.0 updates for ppc64le

Name: python-gdbm Distribution: openSUSE Leap 15.0
Version: 2.7.14 Vendor: openSUSE
Release: lp150.6.25.1 Build date: Fri Nov 29 16:11:05 2019
Group: Development/Libraries/Python Build host: obs-power8-04
Size: 140200 Source RPM: python-2.7.14-lp150.6.25.1.src.rpm
Packager: http://bugs.opensuse.org
Url: http://www.python.org/
Summary: Python Interface to the GDBM Library
An easy to use interface for GDBM databases. GDBM is the GNU
implementation of the standard Unix DBM databases.

Provides

Requires

License

Python-2.0

Changelog

* Tue Sep 25 2018 Matěj Cepl <mcepl@suse.com>
  - Apply "CVE-2018-1000802-shutil_use_subprocess_no_spawn.patch" which
    converts shutil._call_external_zip to use subprocess rather than
    distutils.spawn. [bsc#1109663, CVE-2018-1000802]
* Mon Nov 20 2017 jmatejek@suse.com
  - update to 2.7.14
    * dozens of bugfixes, see NEWS for details
    * fixed possible integer overflow in PyString_DecodeEscape (CVE-2017-1000158, bsc#1068664)
    * fixed segfaults with dict mutated during search
    * fixed possible free-after-use problems with buffer objects with custom indexing
    * fixed urllib.splithost to correctly parse fragments (bpo-30500)
  - drop upstreamed python-2.7.13-overflow_check.patch
  - drop unneeded python-2.7.12-makeopcode.patch
  - drop upstreamed 0001-2.7-bpo-30714-ALPN-changes-for-OpenSSL-1.1.0f-3094.patch
* Thu Sep 14 2017 vcizek@suse.com
  - Fix test broken with OpenSSL 1.1 (bsc#1042670)
    * add 0001-2.7-bpo-30714-ALPN-changes-for-OpenSSL-1.1.0f-3094.patch
* Mon Aug 28 2017 jmatejek@suse.com
  - drop SUSE_ASNEEDED=0 as it is not needed anymore
* Thu Aug 17 2017 kukuk@suse.de
  - Add libnsl-devel build requires for glibc obsoleting libnsl
* Tue Jan 03 2017 jmatejek@suse.com
  - update to 2.7.13
    * dozens of bugfixes, see NEWS for details
    * updated cipher lists for openssl wrapper, support openssl >= 1.1.0
    * properly fix HTTPoxy (CVE-2016-1000110)
    * profile-opt build now applies PGO to modules as well
  - update python-2.7.10-overflow_check.patch
    with python-2.7.13-overflow_check.patch, incorporating upstream changes
  - add "-fwrapv" to optflags explicitly because upstream code still
    relies on it in many places
* Fri Dec 02 2016 jmatejek@suse.com
  - provide python2-* symbols, for support of new packages built as
    python2-foo
* Thu Jun 30 2016 jmatejek@suse.com
  - update to 2.7.12
    * dozens of bugfixes, see NEWS for details
    * fixes multiple security issues:
      CVE-2016-0772 TLS stripping attack on smtplib (bsc#984751)
      CVE-2016-5636 zipimporter heap overflow (bsc#985177)
      CVE-2016-5699 httplib header injection (bsc#985348)
      (this one is actually fixed since 2.7.10)
* Mon Sep 14 2015 jmatejek@suse.com
  - implement python-strict-tls-checks subpackage
    * when present, Python will perform TLS certificate checking by default.
      it is possible to remove the package to turn off the checks
      for compatibility with legacy scripts.
    * as discussed in fate#318300
    * this is not built for openSUSE, but retained here in case we want
      to build the package for a SLE system
* Wed Sep 09 2015 dimstar@opensuse.org
  - Add python-ncurses-6.0-accessors.patch: Fix build with
    NCurses 6.0 and OPAQUE_WINDOW set to 1.
* Sun May 24 2015 michael@stroeder.com
  - update to 2.7.10
  - removed obsolete python-2.7-urllib2-localnet-ssl.patch
* Thu May 14 2015 jmatejek@suse.com
  - for SLE 12 SP1, disable SSL verification-by-default for backwards
    compatibility (python-2.7.9-sles-disable-verification-by-default.patch)
* Wed Feb 25 2015 jmatejek@suse.com
  - python-2.7.9-ssl_ca_path.patch - reintroduce support for CA directory path
* Fri Dec 12 2014 jmatejek@suse.com
  - update to 2.7.9
* Sat Oct 18 2014 crrodriguez@opensuse.org
  - Only pkgconfig(x11) is required for build,not xorg-x11-devel.

Files

/usr/lib64/python2.7/lib-dynload/dbm.so
/usr/lib64/python2.7/lib-dynload/gdbm.so


Generated by rpm2html 1.8.1

Fabrice Bellet, Sat Oct 9 12:25:58 2021